Package org.eclipse.net4j.util.container

## Class FileContainerPersistence<E>

- java.lang.Object
- - org.eclipse.net4j.util.container.ContainerPersistence<E>
  - - org.eclipse.net4j.util.container.FileContainerPersistence<E>

- All Implemented Interfaces:
    `IContainer.Persistence<E>`

      public class FileContainerPersistence<E>
      extends ContainerPersistence<E>

  Since:
    3.5
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileContainerPersistence​(java.io.File file)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getFile()` |
    `protected java.io.InputStream` | `openInputStream()` |
    `protected java.io.OutputStream` | `openOutputStream()` |

    - ### Methods inherited from class org.eclipse.net4j.util.container.ContainerPersistence

      `loadElements, saveElements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileContainerPersistence

          public FileContainerPersistence​(java.io.File file)

  - ### Method Detail

    - #### getFile

          public final java.io.File getFile()

    - #### openInputStream

          protected java.io.InputStream openInputStream()
                                                 throws java.io.IOException

      Specified by:
        `openInputStream` in class `ContainerPersistence<E>`
      Throws:
        `java.io.IOException`

    - #### openOutputStream

          protected java.io.OutputStream openOutputStream()
                                                   throws java.io.IOException

      Specified by:
        `openOutputStream` in class `ContainerPersistence<E>`
      Throws:
        `java.io.IOException`